%define summary BackInTime is a simple backup system your desktop
%define kname %name-kde4
%define oname %name-gnome
%define name   backintime
%define version 1.0.34
%define release %mkrel 1

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:	backintime-16.png
Source2:	backintime-32.png
Source3:	backintime-48.png
Group:		Archiving/Backup
License:	GPLv2
URL:		http://backintime.le-web.org/
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	pykde4-devel
Requires:       python
Requires:       diffutils
Requires:       rsync
Requires:       cron-daemon
Requires:	python-keyring
Requires:	encfs

%description 
The backup is done by taking snapshots of a specified set of directories.
All you have to do is configure: where to save snapshot, what directo‐
ries to backup and when backup should be done (manual, every hour,
every day, every week, every month, ...).

It acts as a 'user mode' backup system. This means that you can
backup/restore only folders you have write access to (actually you can
backup read-only folders, but you can't restore them).

In order to reduce disk space a new snapshot is created only if the
last snapshot (if any) is different from the current directories state
and when it create a snapshot it use hard-links (if possible) for files
that are not modified.

When you restore a file 'A', if it already exists on the file system it
will be renamed to 'A.backup.currentdate'.

For automatic backup it use 'cron' so there is no need for a daemon,
but 'cron' must be running.


%package -n %{oname}
Summary: GNOME GUI frontend for backintime.
Group:    Graphical desktop/GNOME  
Requires: gnome-desktop-common
Requires: %name = %version-%release
Requires: gnome-python
Requires: gnome-python-gnomevfs
Requires: python-notify
Requires: meld


%description -n %{oname}
This is the GNOME GUI frontend for backintime.

Back In Time is a simple backup system your GNOME desktop.
The backup is done by taking snapshots of a specified set of directories.
All you have to do is configure: where to save snapshot, what  directo‐
ries  to  backup  and  when  backup should be done (manual, every hour,
every day, every week, every month, ...).


%package -n %{kname}
Summary: KDE4 GUI frontend for backintime.
Group:    Graphical desktop/KDE4
BuildRequires: pykde4-devel
Requires: pykde4
Requires: %name = %version-%release


%description -n %{kname}
This is the KDE4 GUI frontend for backintime.

Back In Time is a simple backup system your KDE4 desktop.
The backup is done by taking snapshots of a specified set of directories.
All you have to do is configure: where to save snapshot, what  directo‐
ries  to  backup  and  when  backup should be done (manual, every hour,
every day, every week, every month, ...).



%prep
%setup -qc %{name}-%{version}

%build
pushd common
./configure
%make
cd ../gnome
cp Makefile.template Makefile
%make

cd ../kde4
cp Makefile.template Makefile
%make


%install
rm -rf $RPM_BUILD_ROOT
# install common 
pushd common
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

%find_lang %{name}

#install kde4
pushd ../kde4
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"
pushd ..

mkdir -p %{buildroot}%{_datadir}/%{name}/kde4
mkdir -p %{buildroot}%{_datadir}/doc/kde4/HTML
install -m 644 kde4/app.py %{buildroot}%{_datadir}/kde4
install -m 644 kde4/kde4tools.py %{buildroot}%{_datadir}/kde4
install -m 644 kde4/settingsdialog.py %{buildroot}%{_datadir}/kde4
install -m 644 kde4/snapshotsdialog.py %{buildroot}%{_datadir}/kde4
#kde4 docs
cp -af kde4/docbook/* %{buildroot}%{_datadir}/doc/kde4/HTML

install -dm 755 %{buildroot}%{_datadir}/%{name}/plugins
install -m 644 kde4/plugins/kde4plugin.py %{buildroot}%{_datadir}/%{name}/plugins


mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{kname} \
      %{buildroot}%{_sbindir}/%{kname}-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{kname}-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{kname}-root
USER=root
PROGRAM=%{_sbindir}/%{kname}-root
SESSION=true
EOF
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{kname}-root
auth            include         config-util
account         include         config-util
session         include         config-util
EOF
mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/applications/kde4/*.desktop  %{buildroot}%{_datadir}/applications
rm -rf %{buildroot}%{_datadir}/applications/kde4/
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Backup" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png


#install gnome 
cd gnome

pushd ../gnome
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{oname} \
      %{buildroot}%{_sbindir}/%{oname}-root


ln -s consolehelper \
     %{buildroot}%{_bindir}/%{oname}-root


desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Backup" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png


mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{oname}-root
USER=root
PROGRAM=%{_sbindir}/%{oname}-root
SESSION=true
EOF
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{kname}-root
auth            include         config-util
account         include         config-util
session         include         config-util
EOF


mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{oname}-root
auth            include         config-util
account         include         config-util
session         include         config-util
EOF
perl -pi -e 's,gtk-save,%{name}.png,g' $RPM_BUILD_ROOT%{_datadir}/applications/*
perl -pi -e 's,gtk-save,%{name}.png,g' $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*

#remove
rm -rf %{buildroot}%{_datadir}/doc/backintime-*
rm -rf %{buildroot}%{_datadir}/doc/backintime
rm -f %{buildroot}%{_datadir}/kde4

#fix kde4 dir
mkdir -p %{buildroot}%{_datadir}/applications/kde4
# mv %{buildroot}%{_datadir}/applications/%{kname}-root.desktop %{buildroot}%{_datadir}/applications/kde4
mv %{buildroot}%{_datadir}/applications/%{kname}.desktop %{buildroot}%{_datadir}/applications/kde4

%clean
rm -rf $RPM_BUILD_ROOT

%files -f common/%{name}.lang
%doc README VERSION TODO LICENSE TRANSLATIONS CHANGES AUTHORS
%defattr(-,root,root,-)
%{_bindir}/backintime
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/usercallbackplugin.py
%{_datadir}/%{name}/plugins/userscriptsplugin.py
%{_mandir}/man1/%{name}*.*

# backintime-gnome files
%files -n %{oname}
%defattr(-,root,root,-)
%{_sysconfdir}/pam.d/%{oname}-root
%{_sysconfdir}/security/console.apps/%{oname}-root
%{_sbindir}/%{oname}-root
%{_bindir}/%{oname}
%{_bindir}/%{oname}-root
%{_datadir}/%{name}/gnome
%{_datadir}/gnome/help/*
%{_datadir}/omf/backintime/backintime-C.omf
%{_datadir}/applications/*.desktop
%{_datadir}/backintime/plugins/gnomeplugin.py
%{_datadir}/man/man1/backintime-gnome.1.bz2
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

# backintime-kde4 files
%files -n %{kname}
%defattr(-,root,root,-)
%{_bindir}/%{name}-askpass
%{_datadir}/doc/kde4/HTML/*
%{_sysconfdir}/pam.d/%{kname}-root
%{_sysconfdir}/security/console.apps/%{kname}-root
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sbindir}/%{kname}-root
%{_bindir}/%{kname}
%{_bindir}/%{kname}-root
%{_datadir}/doc/kde/HTML/en/%{name}/index.docbook
%{_datadir}/applications/kde4/%{kname}.desktop
%{_datadir}/%{name}/kde4/*
%{_datadir}/%{name}/plugins/kde4plugin.py
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%{_mandir}/man1/%{name}-kde4.1.bz2



%changelog
* Mon Jul 25 2016 adrianomorselli <adrianomorselli> 1.0.34-1uplos2014
- rebuild

* Thu Jan 09 2014 bb <bb> 1.0.34-1pclos2014
- update

* Sat Nov 30 2013 billybot <billybot> 1.0.28-2pclos2013
- add missing dependency encfs
- remove post update-menus script

* Fri Nov 29 2013 pinoc <vogtpet at gmail.com> 1.0.28-1pclos2013
- 1.0.28
- add BR pykde4-devel and Req python-keyring
- amended files for new 1.0.28

* Fri Aug 16 2013 billybot <billybot> 1.0.8-4pclos2013
- update python 2.7

* Wed Nov 14 2012 Neal <nealbrks0 at gmail dot com> 1.0.8-3pclos2012
- process

* Tue Nov 13 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.8-3_archie_2012
- rebuild

* Sun Jun 03 2012 Neal <nealbrks0 at gmail dot com> 1.0.8-2pclos2012
- process

* Wed May 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.8-2_archie_2012
- Rebuild against new packages

* Sat Nov 19 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.8-2_archie_2011
- Update
- Fixed depends for i586

* Wed Jun 15 2011 Ertain <sirius-C at iname.com> 1.0.6-1pclos2011
- 1.0.6
- Had to take out the backintime-kde4-root.desktop file

* Tue Nov 02 2010 Texstar <texstar at gmail.com> 0.9.26-4pclos2010
- rebuild

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.9.26-3pclos2010
- remove obsolete dependencies

* Sun Sep 13 2009 slick50 <slick50@gmail.com> 0.9.26-2pclos2009
- rebuild
- add kde4

* Tue May 19 2009 slick50 <slick50@gmail.com> 0.9.26-1pclos2009
- 0.9.26
- add meld gnome dependencies

* Wed May 13 2009 Texstar <texstar@gmail.com> 0.9.22-3pclos2009
- add more missing dependencies

* Tue May 12 2009 Texstar <texstar@gmail.com> 0.9.22-2pclos2009
- add missing dependency python-notify

* Thu Apr 27 2009 Slick50 <lxgator@gmail.com> 0.9.22-1pclos2009
- 0.9.22

* Thu Apr 23 2009 Slick50 <lxgator@gmail.com> 0.9.20-1pclos2009
- 0.9.20
- split build for future kde4 frontend

* Sat Nov 22 2008 Slick50 <lxgator@gmail.com> 0.8.10-1pclos2007
- initial pkg

